<?php

declare(strict_types=1);

namespace Dedi\SyliusMarketingPlugin\DependencyInjection\Settings;

class Settings implements SettingsInterface
{
    private bool $enabled;
    private string $marketingId;
    private string $additionalParameters;
    private array $channelIds;

    public function __construct(
        bool $enabled,
        string $marketingId,
        string $additionalParameters,
        array $channelIds
    ) {
        $this->enabled = $enabled;
        $this->marketingId = $marketingId;
        $this->additionalParameters = $additionalParameters;
        $this->channelIds = $channelIds;
    }

    public function isEnabled(): bool
    {
        return $this->enabled;
    }

    public function getMarketingId(): string
    {
        return $this->marketingId;
    }

    public function getAdditionalParameters(): string
    {
        return $this->additionalParameters;
    }

    public function getChannelIds(): array
    {
        return $this->channelIds;
    }
}
